android4.0.4 contacts安装失败,提示:手机中没有该应用所需的共享用户或签名不匹配

手机具有root权限,在修改好contacts后,打包好并签好名后,会报安装失败:手机中没有该应用所需的共享用户或签名不匹配
请问大侠有什么解决办法?注:其它的应用程序修改好后打包并签好名后可以安装上,为什么contacts会出这样的错呢??
哪位大侠碰到过,怎么解决??

HuiGeZhang
HuiGeZhang 那就核对一下Androidmanifest.xml中的uid和Android.xml中的签名该
接近 7 年之前 回复
curie_87
Curie-87 Log 输出什么信息?可以帖出来吗?
接近 7 年之前 回复

1个回答

解决了,谢谢各位的支持,在mainfest下有android:sharedUserId="android.uid.shared,所以必须在相应手机上安装,如果在其它的,需要去掉这个,以及android.mk中的相应share。

qq_34431617
qq_34431617 有点听不懂能具体简单一下吗?
大约 2 年之前 回复
suannai0314
鹳狸媛 解决了就好~你可以将答案采纳哦,答案左边的那个对号,点击有惊喜
接近 7 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!